/*
 * Copyright (C) 2022-2025 Seagull Developers
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef SEAGULL_H
#define SEAGULL_H

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
# ifdef SEAGULL_COMPILATION
#  error "seagull source files should not be including seagull.h"
# endif /* SEAGULL_COMPILATION */
#endif /* __GI_SCANNER__ */

#ifndef SEAGULL_GLOBAL_HEADER_INSIDE
# define SEAGULL_GLOBAL_HEADER_INSIDE
#endif /* SEAGULL_GLOBAL_HEADER_INSIDE */

#include <seagull/seagulldb.h>
#include <seagull/seagullmemory.h>
#include <seagull/seagullmigrations.h>
#include <seagull/seagullstatement.h>
#include <seagull/seagulltransaction.h>
#include <seagull/seagulltypes.h>
#include <seagull/seagullversion.h>
#include <seagull/seagullversionconsts.h>
#include <seagull/seagullenums.h>

#undef SEAGULL_GLOBAL_HEADER_INSIDE

#endif /* SEAGULL_H */
