/*
 * Copyright (C) 2022-2025 Seagull Developers
 *
 * Seagull is the legal property of its developers, whose names are too
 * numerous to list here. Please refer to the AUTHORS file distributed
 * with this source distribution
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef SEAGULL_VERSION_CONSTS_H
#define SEAGULL_VERSION_CONSTS_H

/**
 * SEAGULL_MAJOR_VERSION:
 *
 * The major version of the version of Seagull that was compiled against.
 *
 * Since: 0.1
 */
#define SEAGULL_MAJOR_VERSION (0)

/**
 * SEAGULL_MINOR_VERSION:
 *
 * The minor version of the version of Seagull that was compiled against.
 *
 * Since: 0.1
 */
#define SEAGULL_MINOR_VERSION (3)

/**
 * SEAGULL_MICRO_VERSION:
 *
 * The micro version of the version of Seagull that was compiled against.
 *
 * Since: 0.1
 */
#define SEAGULL_MICRO_VERSION (0)

/**
 * SEAGULL_EXTRA_VERSION:
 *
 * The extra version of the version of Seagull that was compiled against.
 *
 * Since: 0.1
 */
#define SEAGULL_EXTRA_VERSION ("")

/**
 * SEAGULL_VERSION:
 *
 * The full version number for the version of Seagull that was compiled against.
 *
 * Since: 0.1
 */
#define SEAGULL_VERSION ("0.3.0")

#endif /* SEAGULL_VERSION_CONSTS_H */
